Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit libyui-qt-graph for openSUSE:Factory
Hello community,

here is the log from the commit of package libyui-qt-graph for openSUSE:Factory
checked in at 2019-04-21 09:02:24
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/libyui-qt-graph (Old)
and /work/SRC/openSUSE:Factory/.libyui-qt-graph.new.5536 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "libyui-qt-graph"

Sun Apr 21 09:02:24 2019 rev:21 rq:695593 version:2.45.1

Changes:
--------
--- /work/SRC/openSUSE:Factory/libyui-qt-graph/libyui-qt-graph.changes
2018-09-11 17:09:56.404092898 +0200
+++
/work/SRC/openSUSE:Factory/.libyui-qt-graph.new.5536/libyui-qt-graph.changes
2019-04-21 09:02:33.142492138 +0200
@@ -1,0 +2,13 @@
+Wed Apr 17 14:39:17 UTC 2019 - Stefan Hundhammer <shundhammer@xxxxxxxx>
+
+- Fixed obsolete warnings when building against Qt 5.13 (bsc#1130502)
+- 2.50.1
+
+-------------------------------------------------------------------
+Fri Apr 12 08:15:46 UTC 2019 - Rodion Iafarov <riafarov@xxxxxxxx>
+
+- Bump the .so version to 10 to be compatible with the other libyui
+packages (bsc#1132247)
+- 2.45.0
+
+-------------------------------------------------------------------
@@ -180 +192,0 @@
-

Old:
----
libyui-qt-graph-2.44.9.tar.bz2

New:
----
libyui-qt-graph-2.45.1.tar.bz2

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ libyui-qt-graph-doc.spec ++++++
--- /var/tmp/diff_new_pack.z8OmbH/_old 2019-04-21 09:02:35.746495231 +0200
+++ /var/tmp/diff_new_pack.z8OmbH/_new 2019-04-21 09:02:35.750495236 +0200
@@ -1,7 +1,7 @@
#
# spec file for package libyui-qt-graph-doc
#
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
@@ -17,10 +17,10 @@


%define parent libyui-qt-graph
-%define so_version 9
+%define so_version 10

Name: %{parent}-doc
-Version: 2.44.9
+Version: 2.45.1
Release: 0
Source: %{parent}-%{version}.tar.bz2

@@ -31,12 +31,12 @@
BuildRequires: fdupes
BuildRequires: gcc-c++
BuildRequires: graphviz-gnome
-BuildRequires: libyui-devel >= 3.0.4
+BuildRequires: libyui-devel >= 3.5.0
BuildRequires: texlive-latex

Url: http://github.com/libyui/
Summary: Libyui-qt-graph documentation
-License: LGPL-2.1 or LGPL-3.0
+License: LGPL-2.1-only OR LGPL-3.0-only
Group: Documentation/HTML

%description

++++++ libyui-qt-graph.spec ++++++
--- /var/tmp/diff_new_pack.z8OmbH/_old 2019-04-21 09:02:35.770495260 +0200
+++ /var/tmp/diff_new_pack.z8OmbH/_new 2019-04-21 09:02:35.770495260 +0200
@@ -1,7 +1,7 @@
#
# spec file for package libyui-qt-graph
#
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
@@ -17,11 +17,11 @@


Name: libyui-qt-graph
-Version: 2.44.9
+Version: 2.45.1
Release: 0
Source: %{name}-%{version}.tar.bz2

-%define so_version 9
+%define so_version 10
%define bin_name %{name}%{so_version}

BuildRequires: cmake >= 2.8
@@ -30,14 +30,14 @@
BuildRequires: libqt5-qtbase-devel
BuildRequires: libqt5-qtsvg-devel
BuildRequires: libqt5-qtx11extras-devel
-BuildRequires: libyui-devel >= 3.0.4
+BuildRequires: libyui-devel >= 3.5.0

-%define libyui_qt_devel_version libyui-qt-devel >= 2.42.0
+%define libyui_qt_devel_version libyui-qt-devel >= 2.50.1
BuildRequires: %{libyui_qt_devel_version}

Url: http://github.com/libyui/
Summary: Libyui - Qt Graph Widget
-License: LGPL-2.1 or LGPL-3.0
+License: LGPL-2.1-only OR LGPL-3.0-only
Group: System/Libraries

%description

++++++ libyui-qt-graph-2.44.9.tar.bz2 -> libyui-qt-graph-2.45.1.tar.bz2 ++++++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/libyui-qt-graph-2.44.9/VERSION.cmake
new/libyui-qt-graph-2.45.1/VERSION.cmake
--- old/libyui-qt-graph-2.44.9/VERSION.cmake 2018-08-22 09:39:45.000000000
+0200
+++ new/libyui-qt-graph-2.45.1/VERSION.cmake 2019-04-18 11:01:28.000000000
+0200
@@ -1,6 +1,6 @@
SET(VERSION_MAJOR "2")
-SET(VERSION_MINOR "44")
-SET(VERSION_PATCH "9")
+SET(VERSION_MINOR "45")
+SET(VERSION_PATCH "1")
SET( VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}" )

##### This is need for the libyui core, ONLY.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore'
old/libyui-qt-graph-2.44.9/package/libyui-qt-graph-doc.spec
new/libyui-qt-graph-2.45.1/package/libyui-qt-graph-doc.spec
--- old/libyui-qt-graph-2.44.9/package/libyui-qt-graph-doc.spec 2018-08-22
09:39:45.000000000 +0200
+++ new/libyui-qt-graph-2.45.1/package/libyui-qt-graph-doc.spec 2019-04-18
11:01:28.000000000 +0200
@@ -17,10 +17,10 @@


%define parent libyui-qt-graph
-%define so_version 9
+%define so_version 10

Name: %{parent}-doc
-Version: 2.44.9
+Version: 2.45.1
Release: 0
Source: %{parent}-%{version}.tar.bz2

@@ -31,7 +31,7 @@
BuildRequires: fdupes
BuildRequires: gcc-c++
BuildRequires: graphviz-gnome
-BuildRequires: libyui-devel >= 3.0.4
+BuildRequires: libyui-devel >= 3.5.0
BuildRequires: texlive-latex

Url: http://github.com/libyui/
@@ -40,7 +40,7 @@
Group: Documentation/HTML

%description
-This package contains the Qt graph
+This package contains the Qt graph
component for libYUI.


diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore'
old/libyui-qt-graph-2.44.9/package/libyui-qt-graph.changes
new/libyui-qt-graph-2.45.1/package/libyui-qt-graph.changes
--- old/libyui-qt-graph-2.44.9/package/libyui-qt-graph.changes 2018-08-22
09:39:45.000000000 +0200
+++ new/libyui-qt-graph-2.45.1/package/libyui-qt-graph.changes 2019-04-18
11:01:28.000000000 +0200
@@ -1,4 +1,17 @@
-------------------------------------------------------------------
+Wed Apr 17 14:39:17 UTC 2019 - Stefan Hundhammer <shundhammer@xxxxxxxx>
+
+- Fixed obsolete warnings when building against Qt 5.13 (bsc#1130502)
+- 2.50.1
+
+-------------------------------------------------------------------
+Fri Apr 12 08:15:46 UTC 2019 - Rodion Iafarov <riafarov@xxxxxxxx>
+
+- Bump the .so version to 10 to be compatible with the other libyui
+packages (bsc#1132247)
+- 2.45.0
+
+-------------------------------------------------------------------
Tue Aug 21 09:54:04 CEST 2018 - schubi@xxxxxxx

- Changed dir of COPYING file.
@@ -177,4 +190,3 @@

- initial version
- 2.18.0
-
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/libyui-qt-graph-2.44.9/package/libyui-qt-graph.spec
new/libyui-qt-graph-2.45.1/package/libyui-qt-graph.spec
--- old/libyui-qt-graph-2.44.9/package/libyui-qt-graph.spec 2018-08-22
09:39:45.000000000 +0200
+++ new/libyui-qt-graph-2.45.1/package/libyui-qt-graph.spec 2019-04-18
11:01:28.000000000 +0200
@@ -17,11 +17,11 @@


Name: libyui-qt-graph
-Version: 2.44.9
+Version: 2.45.1
Release: 0
Source: %{name}-%{version}.tar.bz2

-%define so_version 9
+%define so_version 10
%define bin_name %{name}%{so_version}

BuildRequires: cmake >= 2.8
@@ -30,9 +30,9 @@
BuildRequires: libqt5-qtbase-devel
BuildRequires: libqt5-qtsvg-devel
BuildRequires: libqt5-qtx11extras-devel
-BuildRequires: libyui-devel >= 3.0.4
+BuildRequires: libyui-devel >= 3.5.0

-%define libyui_qt_devel_version libyui-qt-devel >= 2.42.0
+%define libyui_qt_devel_version libyui-qt-devel >= 2.50.1
BuildRequires: %{libyui_qt_devel_version}

Url: http://github.com/libyui/
@@ -41,7 +41,7 @@
Group: System/Libraries

%description
-This package contains the Qt graph
+This package contains the Qt graph
component for libYUI.


@@ -59,7 +59,7 @@
Group: System/Libraries

%description -n %{bin_name}
-This package contains the Qt graph
+This package contains the Qt graph
component for libYUI.


@@ -74,7 +74,7 @@
Group: Development/Languages/C and C++

%description devel
-This package contains the Qt graph
+This package contains the Qt graph
component for libYUI.


diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/libyui-qt-graph-2.44.9/src/QY2Graph.cc
new/libyui-qt-graph-2.45.1/src/QY2Graph.cc
--- old/libyui-qt-graph-2.44.9/src/QY2Graph.cc 2018-08-22 09:39:45.000000000
+0200
+++ new/libyui-qt-graph-2.45.1/src/QY2Graph.cc 2019-04-18 11:01:28.000000000
+0200
@@ -368,8 +368,7 @@
QPicture picture;
QPainter painter;

- painter.begin(&picture);
- painter.initFrom(this);
+ painter.begin(this);
drawLabel(ND_label(node), &painter);
painter.end();

@@ -480,5 +479,3 @@
picture.play(painter);
}

-
-#include "QY2Graph.moc"
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/libyui-qt-graph-2.44.9/src/YQGraph.cc
new/libyui-qt-graph-2.45.1/src/YQGraph.cc
--- old/libyui-qt-graph-2.44.9/src/YQGraph.cc 2018-08-22 09:39:45.000000000
+0200
+++ new/libyui-qt-graph-2.45.1/src/YQGraph.cc 2019-04-18 11:01:28.000000000
+0200
@@ -140,5 +140,3 @@
}
}

-
-#include "YQGraph.moc"


< Previous Next >
This Thread